Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000374Frama-CGraphical User Interfacepublic2010-01-18 14:522014-02-12 16:56
Reporterpherrmann 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000374: "-cpp-command ..." parameter lost
Description(release id 7362)

The kernel parameter "-cpp-command" is lost when creating new projects.

In GUI : set "-cpp-command" parameter (either through command-line, or using "Ctrl-R/kernel/Customizing Normalization") in order to point to Frama-C "libc" directory.

Create a new Projet and select file "need_builtin.c" (attached) : preprocessing is OK.

Check "cpp-command" parameter value with "Ctrl-R" : it has become blank.

Create a new Project and select file "need_builtin.c" : preprocessing fails.
Additional InformationThe attached archive also contains the journalization file.
TagsNo tags attached.
Attached Filesgz file icon bugParams.tar.gz [^] (914 bytes) 2010-01-18 14:52

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-01-18 14:52 pherrmann New Issue
2010-01-18 14:52 pherrmann File Added: bugParams.tar.gz
2010-01-18 15:04 signoles Assigned To => signoles
2010-01-18 15:04 signoles Status new => acknowledged
2010-01-18 17:46 svn Checkin
2010-01-18 17:46 svn Status acknowledged => resolved
2010-01-18 17:46 svn Resolution open => fixed
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker